%global _hardened_build 1

Name:           glite-px-proxyrenewal
Version:        1.3.37
Release:        1%{?dist}
Summary:        gLite proxyrenewal renews existing proxy certificates for grid users

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.px.proxyrenewal/%{name}-%{version}.tar.gz

BuildRequires:  globus-gssapi-gsi-devel
BuildRequires:  libtool
BuildRequires:  myproxy-devel
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  voms-devel
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       psmisc
Provides:       glite-px-proxyrenewal-progs = %{version}-%{release}

%description
The daemon is responsible for secure and controlled way of periodical renewal
of user proxy certificates. Its primary goal is to support long-time jobs
running on the grid.


%package        libs
Summary:        C/C++ library for gLite proxyrenewal

%description    libs
This package contains C/C++ library for gLite proxyrenewal.


%package        devel
Summary:        Development files for gLite proxyrenewal library
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite
proxyrenewal library.


%prep
%setup -q


%build
./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --sysdefaultdir=%{_sysconfdir}/sysconfig --module=px.proxyrenewal
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# documentation installed by %%doc
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_initrddir}
mv %{buildroot}/etc/init.d/* %{buildroot}%{_initrddir}
sed -i 's,\(lockfile=/var/lock\),\1/subsys,' %{buildroot}%{_initrddir}/glite-proxy-renewald
rmdir %{buildroot}/etc/init.d/
rm -f %{buildroot}%{_libdir}/lib*.a
rm -f %{buildroot}%{_libdir}/lib*.la
mkdir -p %{buildroot}%{_localstatedir}/lib/glite
mkdir -p %{buildroot}%{_localstatedir}/spool/glite-renewd


%pre
getent group glite >/dev/null || groupadd -r glite
getent passwd glite >/dev/null || useradd -r -g glite -d %{_localstatedir}/lib/glite -c "gLite user" glite
exit 0


%post
/sbin/chkconfig --add glite-proxy-renewald
if [ $1 -eq 1 ] ; then
    /sbin/chkconfig glite-proxy-renewald off
fi


%preun
if [ $1 -eq 0 ] ; then
    /sbin/service glite-proxy-renewald stop >/dev/null 2>&1
    /sbin/chkconfig --del glite-proxy-renewald
fi


%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service glite-proxy-renewald condrestart >/dev/null 2>&1 || :
fi


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%dir %attr(0755, glite, glite) %{_localstatedir}/lib/glite
%dir %attr(0700, glite, glite) %{_localstatedir}/spool/glite-renewd
%license LICENSE
%doc ChangeLog README config/glite-px
%config(noreplace missingok) %{_sysconfdir}/sysconfig/glite-px
%{_initrddir}/glite-proxy-renewald
%{_bindir}/glite-proxy-renew
%{_sbindir}/glite-proxy-renewd
%{_sbindir}/glite-proxy-setup
%{_mandir}/man1/glite-proxy-renew.1*
%{_mandir}/man8/glite-proxy-renewd.8*

%files libs
%license LICENSE
%{_libdir}/libglite_security_proxyrenewal.so.1
%{_libdir}/libglite_security_proxyrenewal.so.1.*
%{_libdir}/libglite_security_proxyrenewal_core.so.1
%{_libdir}/libglite_security_proxyrenewal_core.so.1.*

%files devel
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/security/
%dir %{_includedir}/glite/security/proxyrenewal/
%{_includedir}/glite/security/proxyrenewal/*.h
%{_libdir}/libglite_security_proxyrenewal.so
%{_libdir}/libglite_security_proxyrenewal_core.so


%changelog
* Thu Jul 27 2017 František Dvořák <valtri@civ.zcu.cz> - 1.3.37-1
- Release glite-px-proxyrenewal 1.3.37
- Packaging updates (%%license, direct configure script launch)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 František Dvořák <valtri@civ.zcu.cz> - 1.3.36-2
- Patch to fix build with recent build tools

* Mon Oct 27 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.36-1
- Release glite-px-proxyrenewal 1.3.36
- Patches merged upstream

* Sun Sep 21 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.35-5
- Rebuilt for myproxy 6.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.35-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.35-3
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.35-1
- Release glite-px-proxyrenewal 1.3.35
- Enable hardened build
- Update patches, add EPEL 7 support
- Add runtime dependency on psmisc (used by startup script)

* Wed Sep 4 2013 František Dvořák <valtri@civ.zcu.cz> - 1.3.34-1.1
- Patch for fixing glite-proxy-setup script (detection of RHEL in configure)

* Wed Aug 28 2013 František Dvořák <valtri@civ.zcu.cz> - 1.3.34-1
- Initial package
